package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.RequirementFollow;
import com.lightinit.hsdataportal.entity.RequirementFollowExample;
import java.util.List;

import com.lightinit.hsdataportal.model.MyFollowRequirementListModel;
import com.lightinit.hsdataportal.model.MyFollowRequirementSearchModel;
import org.apache.ibatis.annotations.Param;

public interface RequirementFollowMapper {
    long countByExample(RequirementFollowExample example);

    int deleteByExample(RequirementFollowExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementFollow record);

    int insertSelective(RequirementFollow record);

    List<RequirementFollow> selectByExample(RequirementFollowExample example);

    RequirementFollow selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementFollow record, @Param("example") RequirementFollowExample example);

    int updateByExample(@Param("record") RequirementFollow record, @Param("example") RequirementFollowExample example);

    int updateByPrimaryKeySelective(RequirementFollow record);

    int updateByPrimaryKey(RequirementFollow record);

    List<MyFollowRequirementListModel> selectList(Long id);

    List<MyFollowRequirementListModel> selectShareList(Long id);

}